> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# salefavourite

> MDO list provider for Favourites

## "salefavourite" MDO List

MDO list provider for Favourites

Implemented by the <see cref="T:SuperOffice.CRM.Lists.SaleFavouriteListProvider">SaleFavouriteListProvider</see> class.
The name of the MDO list is 'salefavourite'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/salefavourite
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("salefavourite", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "salefavouriteheadings"
* "salefavouriteheadingswithallitem"
* "salefavouriteheadingswithallitemwithnoselection"
* "salefavouriteheadingswithnoselection"
* "salefavouritewithallitem"
* "salefavouritewithallitemwithnoselection"
* "salefavouritewithnoselection"


## Related topics

- [salefavourites](/en/api/archive-providers/reference/salefavourites.md)
- [Archive Provider List](/en/api/archive-providers/reference/index.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
